Bug 827494 - Test case failure: SAM: headpin cli product list appears to return products from cp_product, where some products are not currently available to consumers.
Test case failure: SAM: headpin cli product list appears to return products f...
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.0
Unspecified Linux
unspecified Severity high (vote)
: Unspecified
: 6.0
Assigned To: Katello Bug Bin
Hayk Hovsepyan
: Triaged, ZStream
Depends On: 822665 823890 833022
Blocks: sam11-tracker
  Show dependency treegraph
 
Reported: 2012-06-01 11:39 EDT by Chris Pelland
Modified: 2014-09-18 11:36 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Manifest imports would not remove unused products or subscriptions. Consequently the headpin CLI listed unavailable products. This update cleans the product listing after a new manifest import. The headpin CLI correctly displays the product list.
Story Points: ---
Clone Of: 823890
Environment:
Last Closed: 2012-07-10 03:24:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 8 sachua 2012-06-12 01:55:17 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The product list in the CLI does not match the product list in the webui. The CLI is listing both marketing and engineering products. The CLI is also listing both active and inactive subscriptions.
Comment 9 Hayk Hovsepyan 2012-06-15 04:53:45 EDT
The first part of this bug is described in: 
https://bugzilla.redhat.com/show_bug.cgi?id=829759
Comment 10 Dan Macpherson 2012-06-17 19:50:01 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-The product list in the CLI does not match the product list in the webui. The CLI is listing both marketing and engineering products. The CLI is also listing both active and inactive subscriptions.+Manifest imports would not remove unused products or subscriptions. Consequently the headpin CLI listed unavailable products. This update cleans the product listing after a new manifest import. The headpin CLI correctly displays the product list.
Comment 14 errata-xmlrpc 2012-07-10 03:24:34 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-1062.html

Note You need to log in before you can comment on or make changes to this bug.